#include <opencv2/opencv.hpp>

int main(int argc, char ** argv) {

    cv::Mat vandalizedImage = cv::imread("../Apples-vandalized.png", cv::IMREAD_COLOR);

    cv::imshow("inpainting", vandalizedImage);
    cv::waitKey(0);

    cv::Mat mask;
    cv::inRange(vandalizedImage, cv::Scalar(0,0,255), cv::Scalar(255,255,255), mask);

    cv::imshow("inpainting", mask);
    cv::waitKey(0);

    cv::Mat image;
    cv::inpaint(vandalizedImage, mask, image, 3, cv::INPAINT_NS);

    cv::imshow("inpainting", image);
    cv::waitKey(0);

    return 0;
}



